//
//  ViewController.swift
//  PlistDemo
//
//  Created by Sarah Abraham on 9/30/18.
//  Copyright © 2018 Sarah Abraham. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    var items = [String]()

    override func viewDidLoad() {
        super.viewDidLoad()
        accessExamplePlist()
        for item in items {
            print(item)
        }
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    private func accessExamplePlist() {
        let inputFile = Bundle.main.path(forResource: "example", ofType: "plist")
        let inputDataArray = NSArray(contentsOfFile: inputFile!)
        for input in inputDataArray as! [Dictionary<String, String>] {
            for (key, value) in input {
                items.append("\(key): \(value)")
            }
        }
    }
        


}

